{coverId}-{size}.jpg: Get book cover image

API: openlibrary.org:open-library-api
Endpoint: /covers/b/id/{coverId}-{size}.jpg
Response format: unknown
Auth: unknown
Method: GET
Last Status: 404
Latency: 603ms

Description

Returns a book cover image by its cover ID. Sizes: S (small), M (medium), L (large).

Parameters (3)

coverId (string, path, required)

Cover image ID

default (boolean, query, optional, default: True)

If false, returns 404 when cover not found instead of a placeholder

size (string, path, required)

Image size

Constraints: {'enum': ['S', 'M', 'L']}

Examples (1)

Get book cover image openapi-spec
curl 'https://openlibrary.org/covers/b/id/240726-M.jpg'
import requests

resp = requests.get("https://openlibrary.org/covers/b/id/240726-M.jpg")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openlibrary")
result = api.fetch("covers/b/id/{coverId}-{size}.jpg")

for item in result:
    print(item)
const resp = await fetch("https://openlibrary.org/covers/b/id/240726-M.jpg");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:49:14.681007 404 603ms
2026-04-15 03:14:25.595672 404 606ms
2026-04-14 01:07:12.037674 404 603ms
2026-04-12 15:41:51.858815 404 908ms
2026-04-10 04:26:40.299162 ERR
2026-04-09 03:14:05.460540 404 960ms